using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Category_Sales_for_1995Access  : Daolite.BusinessAccess
	{

		public  Category_Sales_for_1995Access() : base("Category_Sales_for_1995", NwindConfiger.GetConfiger())
		{
		}


		public Category_Sales_for_1995[] Query()
		{
			return base.Query<Category_Sales_for_1995>();
		}


		public Category_Sales_for_1995[] QueryRelated()
		{
			return base.QueryRelated<Category_Sales_for_1995>();
		}


		public Category_Sales_for_1995 QueryOne(bool isRelated)
		{
			return base.QueryOne<Category_Sales_for_1995>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
